//
//  Constants.m - Global constants that are included in precompiled headers
//  ListMe
//
//  Created by Nick Aiwazian on 10/31/13.
//  Copyright (c) 2013 com.nickaiwazian. All rights reserved.
//

#import "Constants.h"

#pragma mark - DateTime Constants

NSString *const DateFormat = @"MM/dd";
NSString *const DateFormatLong = @"E, MMM d";
NSString *const TimeZone = @"UTC";

#pragma mark - Core Data Constants

NSString *const ModelURLName = @"ListMe";
NSString *const ModelURLNameExtension = @"momd";
NSString *const PersistentStoreFileName = @"ListMe.sqlite";
NSString *const ModelType = @"sqlite";

NSString *const ListEntity = @"List";
NSString *const ListItemEntity = @"ListItem";
NSString *const ListItemInfoEntity = @"ListItemInfo";
NSString *const ListName = @"name";

#pragma mark - User Interface Constants

NSString *const MenuTitle = @"Lists";
NSString *const DueDatePrefix = @"Due: ";

NSString *const DateGroupingOverdue = @"OVERDUE";
NSString *const DateGroupingToday = @"TODAY";
NSString *const DateGroupingThisWeek = @"THIS WEEK";
NSString *const DateGroupingFuture = @"FUTURE";

NSString *const DefaultListKey = @"DefaultList";  // User defeaults

NSString *const AlertConfirmationTitle = @"Confirm";
NSString *const AlertNoButtonText = @"NO";
NSString *const AlertYesButtonText = @"YES";
NSString *const AlertText = @"Are you sure you want to delete list: %@";

#pragma mark - Debugging Constants
NSString *const ErrorFormat = @"Error is: %@";
