//
//  CoreDataHelper.h
//  ListMe
//
//  Created by Nick Aiwazian on 10/31/13.
//  Copyright (c) 2013 com.nickaiwazian. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface CoreDataHelper : NSObject

@property (strong, nonatomic) NSManagedObjectContext *managedObjectContext;

// Static singleton instance
+ (CoreDataHelper *)sharedCoreDataHelper;

// Queries
- (NSUInteger)executeCountOfCoreDataQueryFor:(NSString *)entity
                                        with:(NSPredicate *)predicate;

- (NSArray *)executeCoreDataQueryFor:(NSString *)entity
                                with:(NSPredicate *)predicate
                             andSort:(NSArray *)sortOrders;

- (NSArray *)executeCoreDataQueryWithAlphabeticalSortFor:(NSString *)entity
                                                    with:(NSPredicate *)predicate
                                              andSortKey:(NSString *)sortKey;

// Add / Remove
- (void)addManagedObject:(NSManagedObject *)object;
- (void)deleteManagedObject:(NSManagedObject *)object;

- (void)saveContext;
- (void)purgeCoreData;

@end


