//
//  DateRanges.m - Build an array of date ranges for use in display
//  ListMe
//
//  Created by Nick Aiwazian on 10/22/13.
//  Copyright (c) 2013 com.nickaiwazian. All rights reserved.
//

#import "DateRange.h"
#import "DateRanges.h"

@implementation DateRanges

/**
 * Description: Return the preconfigured date ranges used in bucketizing list items
 */

- (NSArray *)standardDateRanges {

    if( !_standardDateRanges ) {

        NSTimeInterval oneDay = 60.0 * 60 * 24;
        NSTimeInterval oneDayAgo = -1 * oneDay;
        NSTimeInterval oneWeek = 7 * oneDay;
        
        NSDate *today = [NSDate dateWithNoTime];
        NSDate *yesterday = [today dateByAddingTimeInterval:oneDayAgo];
        NSDate *tomorrow = [today dateByAddingTimeInterval:oneDay];
        NSDate *oneWeekFromToday = [today dateByAddingTimeInterval:oneWeek];
        NSDate *eightDaysFromToday = [oneWeekFromToday dateByAddingTimeInterval:oneDay];

        NSDate *oldDate = [NSDate distantPast];
        NSDate *futureDate = [NSDate distantFuture];
        
        DateRange* dr1 = [[DateRange alloc] init:DateGroupingOverdue from:oldDate to:yesterday];
        DateRange* dr2 = [[DateRange alloc] init:DateGroupingToday from:today to:today];
        DateRange* dr3 = [[DateRange alloc] init:DateGroupingThisWeek from:tomorrow to:oneWeekFromToday];
        DateRange* dr4 = [[DateRange alloc] init:DateGroupingFuture from:eightDaysFromToday to:futureDate];
        
        _standardDateRanges = [NSArray arrayWithObjects: dr1, dr2, dr3, dr4, nil];
    }
    
    return _standardDateRanges;

}

@end
