//
//  ListItemTableCell.h
//  ListMe
//
//  Created by Nick Aiwazian on 11/21/13.
//  Copyright (c) 2013 com.nickaiwazian. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ListItem.h"

@protocol ListItemTableCellDelegate <NSObject>

- (void)listItemCompletionStatusUpdate:(BOOL)completionStatus forItem:(ListItem *)listItem;

@end

@interface ListItemTableCell : UITableViewCell

// Outlets
@property (weak, nonatomic) IBOutlet UILabel *name;
@property (weak, nonatomic) IBOutlet UILabel *dueDate;
@property (weak, nonatomic) IBOutlet UIButton *checkBoxButton;

// State
@property (nonatomic, getter = isCompleted) BOOL completed;
@property (strong, nonatomic) ListItem *listItem;

@property (strong, nonatomic) id<ListItemTableCellDelegate> completionDelegate;

@end
