//
//  ListItemTableCell.m - Custom table cell for list view
//  ListMe
//
//  Created by Nick Aiwazian on 11/21/13.
//  Copyright (c) 2013 com.nickaiwazian. All rights reserved.
//

#import "ListItemTableCell.h"

@implementation ListItemTableCell

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // Initialization code
        
    }
    return self;
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

/**
 * Description: Toggle completed state and update checkbox
 */

- (void)setCompleted:(BOOL)completed {
    
    if( completed ) {
        
        [self.checkBoxButton setImage:[UIImage imageNamed:@"checkbox_checked.png"]
                forState:UIControlStateNormal];
        _completed = YES;
    }
    else {
        
        [self.checkBoxButton setImage:[UIImage imageNamed:@"checkbox.png"]
                             forState:UIControlStateNormal];
        _completed = NO;
    }
}

/**
 * Description: Target for clicking on the checkbox.  Toggle state and ask controller to update model.
 */

- (IBAction)toggleCheckbox:(UIButton *)sender {
    
    self.completed = self.isCompleted ? NO : YES;
    
    [self.completionDelegate listItemCompletionStatusUpdate:self.completed forItem:self.listItem];
}

@end
