//
//  NSDate+DateExtensions.m - Category for NSDate
//  ListMe
//
//  Created by Nick Aiwazian on 11/5/13.
//  Copyright (c) 2013 com.nickaiwazian. All rights reserved.
//

#import "NSDate+DateExtensions.h"

@implementation NSDate (DateExtensions)

/**
 * Description: Return [NSDate date] with time component zero'ed out
 */

+ (NSDate *) dateWithNoTime {
    
    NSDate *today = [NSDate date];
    NSCalendar *calendar = [NSCalendar currentCalendar];
        
    NSDateComponents *dateComponents = [calendar components:NSYearCalendarUnit | NSMonthCalendarUnit | NSDayCalendarUnit fromDate:today];
        
    return [calendar dateFromComponents:dateComponents];
}

@end
